STRUCT TEMPLATE(3)

NAME
boost::proto::binary_expr - A metafunction for generating binary expression types with a specified tag type, a grammar element for matching binary expressions, and a PrimitiveTransform that dispatches to the proto::pass_through<> transform.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename Tag, typename T, typename U>
struct binary_expr :  proto::transform< binary_expr<Tag, T, U> > {
  // types
  typedef proto::expr< Tag, proto::list2< T, U > >       type;
  typedef proto::basic_expr< Tag, proto::list2< T, U > > proto_grammar;
  // member classes/structs/unions
  template<typename Expr, typename State, typename Data>
  struct impl :
     proto::pass_through<binary_expr>::template impl<Expr, State, Data>
  {
  };
};

DESCRIPTION

Use proto::binary_expr<proto::_, proto::_, proto::_> as a grammar element to match any binary expression.